# Generated from flowcommerce-reference-0.4.9.gem by gem2rpm -*- rpm-spec -*-
%global gem_name flowcommerce-reference

Name: rubygem-%{gem_name}
Version: 0.4.9
Release: 1%{?dist}
Summary: Flow Commerce Ruby Library of ISO reference data
License: MIT
URL: https://www.flow.io
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Simple native Ruby Library to browse ISO data related to countries,
currencies, languages, etc.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Aug 23 2021 mockbuilder - 0.4.9-1
- Initial package
